LP#1849208 - Add PostgreSQL 10 Makfile.install targets master
authorChris Sharp <csharp@georgialibraries.org>
Tue, 22 Oct 2019 13:21:22 +0000 (09:21 -0400)
committerJane Sandberg <sandbej@linnbenton.edu>
Sat, 16 Nov 2019 17:45:09 +0000 (09:45 -0800)
Signed-off-by: Chris Sharp <csharp@georgialibraries.org>
Signed-off-by: blake <blake@mobiusconsortium.org>
Signed-off-by: Jane Sandberg <sandbej@linnbenton.edu>
Open-ILS/src/extras/Makefile.install
Open-ILS/src/extras/install/Makefile.debian-buster
Open-ILS/src/extras/install/Makefile.debian-jessie
Open-ILS/src/extras/install/Makefile.debian-stretch
Open-ILS/src/extras/install/Makefile.ubuntu-bionic
Open-ILS/src/extras/install/Makefile.ubuntu-xenial
docs/RELEASE_NOTES_NEXT/Administration/lp1849208_pg10_support.adoc [new file with mode: 0644]
docs/installation/server_installation.adoc

index f6fc4ce..3454450 100644 (file)
@@ -79,14 +79,24 @@ fedora:
 
 postgres-server-debian-buster:
        @make -f $(DIR)/Makefile.debian-buster install_postgres_server
+postgres-server-debian-buster-10:
+       @make -f $(DIR)/Makefile.debian-buster install_postgres_server_10
 postgres-server-debian-stretch:
        @make -f $(DIR)/Makefile.debian-stretch install_postgres_server
+postgres-server-debian-stretch-10:
+       @make -f $(DIR)/Makefile.debian-stretch install_postgres_server_10
 postgres-server-debian-jessie:
        @make -f $(DIR)/Makefile.debian-jessie install_postgres_server
+postgres-server-debian-jessie-10:
+       @make -f $(DIR)/Makefile.debian-jessie install_postgres_server_10
 postgres-server-ubuntu-bionic:
        @make -f $(DIR)/Makefile.ubuntu-bionic install_postgres_server
+postgres-server-ubuntu-bionic-10:
+       @make -f $(DIR)/Makefile.ubuntu-bionic install_postgres_server_10
 postgres-server-ubuntu-xenial:
        @make -f $(DIR)/Makefile.ubuntu-xenial install_postgres_server
+postgres-server-ubuntu-xenial-10:
+       @make -f $(DIR)/Makefile.ubuntu-xenial install_postgres_server_10
 postgres-server-fedora:
        @make -f $(DIR)/Makefile.fedora install_postgres_server
 
index f884830..4424e2b 100644 (file)
@@ -106,6 +106,13 @@ PGSQL_SERVER_DEBS_96 = \
        postgresql-plperl-9.6 \
        postgresql-server-dev-9.6
 
+PGSQL_SERVER_DEBS_10 = \
+       $(DEB_PGSQL_COMMON_MODS) \
+       postgresql-10 \
+       postgresql-contrib-10 \
+       postgresql-plperl-10 \
+       postgresql-server-dev-10
+
 # note: some prereqs are repeated in the developer/packager 
 # sections to support building Evergreen packages on servers
 # where Evergreen and its prereqs are not installed.
@@ -149,6 +156,11 @@ install_postgres_server:
        make -f $(DIR)/Makefile.debian debian_postgresql_repo
        make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_96)"
 
+install_postgres_server_10:
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_APT_REPO_DEBS)"
+       make -f $(DIR)/Makefile.debian debian_postgresql_repo
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_10)"
+
 # note: if/when grunt-cli is available as a
 # package, use the packaged version instead.
 install_developer:
index 3d4653e..21da86c 100644 (file)
@@ -107,6 +107,13 @@ PGSQL_SERVER_DEBS_96 = \
        postgresql-plperl-9.6 \
        postgresql-server-dev-9.6
 
+PGSQL_SERVER_DEBS_10 = \
+        $(DEB_PGSQL_COMMON_MODS) \
+        postgresql-10 \
+        postgresql-contrib-10 \
+        postgresql-plperl-10 \
+        postgresql-server-dev-10
+
 # note: some prereqs are repeated in the developer/packager 
 # sections to support building Evergreen packages on servers
 # where Evergreen and its prereqs are not installed.
@@ -150,6 +157,11 @@ install_postgres_server:
        make -f $(DIR)/Makefile.debian debian_postgresql_repo
        make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_96)"
 
+install_postgres_server_10:
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_APT_REPO_DEBS)"
+       make -f $(DIR)/Makefile.debian debian_postgresql_repo
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_10)"
+
 # note: if/when grunt-cli is available as a
 # package, use the packaged version instead.
 install_developer:
index 18ab569..e1491d1 100644 (file)
@@ -106,6 +106,13 @@ PGSQL_SERVER_DEBS_96 = \
        postgresql-plperl-9.6 \
        postgresql-server-dev-9.6
 
+PGSQL_SERVER_DEBS_10 = \
+        $(DEB_PGSQL_COMMON_MODS) \
+        postgresql-10 \
+        postgresql-contrib-10 \
+        postgresql-plperl-10 \
+        postgresql-server-dev-10
+
 # note: some prereqs are repeated in the developer/packager 
 # sections to support building Evergreen packages on servers
 # where Evergreen and its prereqs are not installed.
@@ -149,6 +156,11 @@ install_postgres_server:
        make -f $(DIR)/Makefile.debian debian_postgresql_repo
        make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_96)"
 
+install_postgres_server_10:
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_APT_REPO_DEBS)"
+       make -f $(DIR)/Makefile.debian debian_postgresql_repo
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_10)"
+
 # note: if/when grunt-cli is available as a
 # package, use the packaged version instead.
 install_developer:
index dd22d56..35c42fd 100644 (file)
@@ -111,6 +111,13 @@ PGSQL_SERVER_DEBS_96 = \
        postgresql-plperl-9.6 \
        postgresql-server-dev-9.6
 
+PGSQL_SERVER_DEBS_10 = \
+        $(DEB_PGSQL_COMMON_MODS) \
+        postgresql-10 \
+        postgresql-contrib-10 \
+        postgresql-plperl-10 \
+        postgresql-server-dev-10
+
 # note: some prereqs are repeated in the developer/packager 
 # sections to support building Evergreen packages on servers
 # where Evergreen and its prereqs are not installed.
@@ -156,6 +163,12 @@ install_postgres_server:
        make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_96)"
        make -f $(DIR)/Makefile.common install_cpan_pgsql
 
+install_postgres_server_10:
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_APT_REPO_DEBS)"
+       make -f $(DIR)/Makefile.debian debian_postgresql_repo
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_10)"
+       make -f $(DIR)/Makefile.common install_cpan_pgsql
+
 # note: if/when grunt-cli is available as a
 # package, use the packaged version instead.
 install_developer:
index a1104e1..8802f24 100644 (file)
@@ -106,6 +106,13 @@ PGSQL_SERVER_DEBS_96 = \
        postgresql-plperl-9.6 \
        postgresql-server-dev-9.6
 
+PGSQL_SERVER_DEBS_10 = \
+        $(DEB_PGSQL_COMMON_MODS) \
+        postgresql-10 \
+        postgresql-contrib-10 \
+        postgresql-plperl-10 \
+        postgresql-server-dev-10
+
 # note: some prereqs are repeated in the developer/packager 
 # sections to support building Evergreen packages on servers
 # where Evergreen and its prereqs are not installed.
@@ -149,6 +156,11 @@ install_postgres_server:
        make -f $(DIR)/Makefile.debian debian_postgresql_repo
        make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_96)"
 
+install_postgres_server_10:
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_APT_REPO_DEBS)"
+       make -f $(DIR)/Makefile.debian debian_postgresql_repo
+       make -f $(DIR)/Makefile.debian DEBS="$(PGSQL_SERVER_DEBS_10)"
+
 # note: if/when grunt-cli is available as a
 # package, use the packaged version instead.
 install_developer:
diff --git a/docs/RELEASE_NOTES_NEXT/Administration/lp1849208_pg10_support.adoc b/docs/RELEASE_NOTES_NEXT/Administration/lp1849208_pg10_support.adoc
new file mode 100644 (file)
index 0000000..bc3d43d
--- /dev/null
@@ -0,0 +1,4 @@
+PostgreSQL 10 Support
+^^^^^^^^^^^^^^^^^^^^^
+PostgreSQL 10 is now available for installation with Evergreen.  Please
+see the installation documentation for details.
index e2a93a9..f72a85f 100644 (file)
@@ -426,7 +426,8 @@ Ubuntu on the machine of your choice using the following commands as the
 Each OS build target provides the postgres server installation packages
 required for each operating system.  To install Postgres server packages, 
 use the make target 'postgres-server-<OSTYPE>'.  Choose the most appropriate 
-command below based on your operating system.
+command below based on your operating system. This will install PostgreSQL 9.6,
+the minimum supported version.
 
 [source, bash]
 ------------------------------------------------------------------------------
@@ -437,6 +438,18 @@ make -f Open-ILS/src/extras/Makefile.install postgres-server-ubuntu-xenial
 make -f Open-ILS/src/extras/Makefile.install postgres-server-ubuntu-bionic
 ------------------------------------------------------------------------------
 
+To install PostgreSQL version 10, use the following command for your operating
+system:
+
+[source, bash]
+------------------------------------------------------------------------------
+make -f Open-ILS/src/extras/Makefile.install postgres-server-debian-buster-10
+make -f Open-ILS/src/extras/Makefile.install postgres-server-debian-stretch-10
+make -f Open-ILS/src/extras/Makefile.install postgres-server-debian-jessie-10
+make -f Open-ILS/src/extras/Makefile.install postgres-server-ubuntu-xenial-10
+make -f Open-ILS/src/extras/Makefile.install postgres-server-ubuntu-bionic-10
+------------------------------------------------------------------------------
+
 For a standalone PostgreSQL server, install the following Perl modules for your
 distribution as the *root* Linux account: